using System;
using Server;

namespace Server.Custom
{

	public sealed class Bard
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Musicianship, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.Poetry, 40),
					new NewSkillNameValue(NewSkillName.Singing, 35),
					new NewSkillNameValue(NewSkillName.Dancing, 30),
					new NewSkillNameValue(NewSkillName.Languages, 25),
					new NewSkillNameValue(NewSkillName.Disguise, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Bard;
			string[] name = new string[]{ "Dilettante","Rhymer","Parodist","Music-Maker",
					"Singer","Dramatist","Balladist","Lyricist","Sonnetist","Poet","Story-Teller",
					"Performer","Musician","Minstrel","Bard","Troubadour" };
			string description = "Bards are sometimes misunderstood, and thus they never stay in one place for very long, but they are the preservers of culture, mythology, folklore, and legend.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}