using System;
using Server;

namespace Server.Custom
{

	public sealed class Cleric
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Healing, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.History, 40),
					new NewSkillNameValue(NewSkillName.HealingArts, 35),
					new NewSkillNameValue(NewSkillName.Theology, 30),
					new NewSkillNameValue(NewSkillName.Heraldry, 25),
					new NewSkillNameValue(NewSkillName.Writing, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Cleric;
			string[] name = new string[]{ "Novice","Lay Person","Parishioner","Proselyte",
					"Chaplain","Reverend","Minister","Ecclesiast","Parson","Pastor","Priest",
					"Cleric","Bishop","Monsignor","Cardinal","Archbishop" };
			string description = "The Clerics are a diverse group of individuals, ranging from the country minister, overseeing a single parish, to a powerful Bishop, in charge of a vast Diocese.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}