using System;
using Server;

namespace Server.Custom
{

	public sealed class Illusionist
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.MagicResist, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.Ventriloquism, 40),
					new NewSkillNameValue(NewSkillName.Hypnotism, 35),
					new NewSkillNameValue(NewSkillName.SleightOfHand, 30),
					new NewSkillNameValue(NewSkillName.MakeDisappear, 25),
					new NewSkillNameValue(NewSkillName.Levitation, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Illusionist;
			string[] name = new string[]{ "Charlatan","Spoon-Bender","Trickster","Pretender","Charmer",
					"Deceiver","Hypnotist","Prestidigitator","Spell Caster","Shaman","Conjurer",
					"Thaumaturge","Illusionist","Illusionist","Enchanter","Master of Illusion" };
			string description = "Illusionists specialize in performing feats of magic and prestidigitation for fun, fame, or personal gain. Their craft is one of the oldest in existence.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}