using System;
using Server;

namespace Server.Custom
{
	public sealed class Magician
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Magery, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.FeatherLight, 40),
					new NewSkillNameValue(NewSkillName.WalkThroughWalls, 35),
					new NewSkillNameValue(NewSkillName.EnchantItem, 30),
					new NewSkillNameValue(NewSkillName.FleshToStone, 25),
					new NewSkillNameValue(NewSkillName.Transmutation, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Magician;
			string[] name = new string[]{ "Astrologer","Clairvoyant","Spiritualist",
					"Mage","Magic User","Theurgist","Magus","Spell Binder","Magician","Genius",
					"Adept","Illuminati","Sorceror","Arch Mage","Wizard","Grand Wizard" };
			string description = "A Magician's specialty is to change the properties of physical objects, such as enchanting a sword, turning an enemy to stone, or walking through solid walls.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}