using System;
using Server;

namespace Server.Custom
{
	public sealed class Paladin
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Chivalry, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.DetectEvil, 40),
					new NewSkillNameValue(NewSkillName.HorseBackRiding, 35),
					new NewSkillNameValue(NewSkillName.LayOnHands, 30),
					new NewSkillNameValue(NewSkillName.DivineHealth, 25),
					new NewSkillNameValue(NewSkillName.RemoveDisease, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
				42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Paladin;
			string[] ranks = new string[]{ "Hand","Squire","Paladin","Paladin","Paladin",
				"Paladin","Paladin","Paladin","Paladin","Paladin","Paladin",
				"Paladin","Paladin","Knight","Paladin","Knight Protector" };
			string description = "Paladins are Fighters devoted to the cause of righteousness and honor. They prize virtue above riches, and Right above Might. They specialize in mounted combat.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, ranks, description, classSkills, points ) );
		}
	}
}