using System;
using Server;

namespace Server.Custom
{

	public sealed class Ranger
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Tracking, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.PreyTracking, 40),
					new NewSkillNameValue(NewSkillName.Camouflage, 35),
					new NewSkillNameValue(NewSkillName.Jumping, 30),
					new NewSkillNameValue(NewSkillName.SettingTraps, 25),
					new NewSkillNameValue(NewSkillName.SpeakToAnimals, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Ranger;
			string[] name = new string[]{ "Ranger","Ranger","Ranger","Ranger",
					"Ranger","Ranger","Ranger","Ranger","Ranger","Ranger","Ranger",
					"Ranger","Ranger","Ranger","Ranger","Ranger" };
			string description = "Rangers are a secretive and solitary group. They hunt alone, and prefer to move more in shadows than in light. They specialize in tracking and trapping.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}