using System;
using Server;

namespace Server.Custom
{

	public sealed class Rogue
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Hiding, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.PickPocket, 40),
					new NewSkillNameValue(NewSkillName.Acrobatics, 35),
					new NewSkillNameValue(NewSkillName.Gambling, 30),
					new NewSkillNameValue(NewSkillName.SneakAttack, 25),
					new NewSkillNameValue(NewSkillName.DefensiveRoll, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Rogue;
			string[] name = new string[]{ "Pick-Pocket","Scoundrel","Scaliwag","Rogue",
					"Rogue","Rogue","Rogue","Thief","Rogue","Rogue","Rogue",
					"Rogue","Rogue","Rogue","Rogue","Rogue" };
			string description = "The Rogue is a scoundrel and a thief, prone to gambling and carousing. If you meet one in some dark alley, be sure to guard your posessions, and don't be fooled by the off-key singing - this vagabond is as sharp as the knife hidden in a certain left boot.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}