using System;
using Server;

namespace Server.Custom
{

	public sealed class Scholar
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Inscribe, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.Teaching, 40),
					new NewSkillNameValue(NewSkillName.Diplomacy, 35),
					new NewSkillNameValue(NewSkillName.Administration, 30),
					new NewSkillNameValue(NewSkillName.Cyphering, 25),
					new NewSkillNameValue(NewSkillName.Linguistics, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Scholar;
			string[] name = new string[]{ "Student","Student","Student","Graduate",
					"Graduate","Graduate","Teacher","Teacher","Teacher","Advisor",
					"Instructor","Professor","Scholar","Bacalaureate","Fellow","Dean" };
			string description = "A Scholar is both a student and a teacher. They love to read, write, and learn as much as they can.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}