using System;
using Server;

namespace Server.Custom
{

	public sealed class Tinker
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Tinkering, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.WoodCarving, 40),
					new NewSkillNameValue(NewSkillName.KeyMaking, 35),
					new NewSkillNameValue(NewSkillName.Engineering, 30),
					new NewSkillNameValue(NewSkillName.SilverSmithing, 25),
					new NewSkillNameValue(NewSkillName.GoldCrafting, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Tinker;
			string[] name = new string[]{ "Tinker","Tinker","Tinker","Tinker",
					"Tinker","Tinker","Tinker","Tinker","Tinker","Tinker","Tinker",
					"Tinker","Crafter","Craftsman","Engineer","Master Craftsman" };
			string description = "The Tinker is a crafter of useful items. Their work is more concerned with function than with form, specializing in wood, iron, silver or gold, as the situation warrants.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}