using System;
using Server;

namespace Server.Custom
{
	public sealed class Warrior
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Tactics, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.BonusStrike, 40),
					new NewSkillNameValue(NewSkillName.IncreasedAccuracy, 35),
					new NewSkillNameValue(NewSkillName.DoubleDamage, 30),
					new NewSkillNameValue(NewSkillName.ImprovedStrength, 25),
					new NewSkillNameValue(NewSkillName.TripleStrike, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
				42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Warrior;
			string[] ranks = new string[]{ "Peon","Grunt","Brawler","Bruiser","Battler",
				"Combatant","Hireling","Conscript","Partisan","Contender","Warrior",
				"Soldier","Fighter","Gladiator","Hero","Champion" };
			string description = "The warrior is a good tactician, capable either on foot or mounted.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, ranks, description, classSkills, points ) );
		}
	}
}