using System;
using Server.Items;
using Server.Custom;

namespace Server.ContextMenus
{
	public class NewSkillsEntry : ContextMenuEntry
	{
		private NewMobile m_From;

		public NewSkillsEntry( Mobile from ) : base( 2136 )
		{
			if ( from is NewMobile)
				m_From = from as NewMobile;
		}

		public override void OnClick()
		{
			if ( m_From != null )
				m_From.SendGump( new NewSkillsGump( m_From ) );
		}
	}
	
	public class NewStatsEntry : ContextMenuEntry
	{
		private NewMobile m_From;

		public NewStatsEntry( Mobile from ) : base( 10049 )
		{
			if ( from is NewMobile)
				m_From = from as NewMobile;
		}

		public override void OnClick()
		{
			if ( m_From != null )
				m_From.SendGump( new NewStatsGump( m_From ) );
		}
	}
}