using System;
using Server;

namespace Server.Custom
{

	public sealed class Assassin
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Poisoning, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.MartialArts, 40),
					new NewSkillNameValue(NewSkillName.WoundingStrike, 35),
					new NewSkillNameValue(NewSkillName.CripplingStrike, 30),
					new NewSkillNameValue(NewSkillName.CriticalStrike, 25),
					new NewSkillNameValue(NewSkillName.MortalStrike, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Assassin;
			string[] name = new string[]{ "Thug","Hit-Man","Killer","Cutthroat","Back-Stabber",
					"Assailant","Murderer","Butcher","Enforcer","Eliminator","Executioner",
					"Poisoner","Torpedo","Assassin","Slayer","Master Assassin" };
			string description = "Assassins are usually cold-blooded killers, willing to practice their art whenever their price is met. The highest goal of an Assassin is the acheivement of pure efficiency in their craft.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}