using System;
using Server;

namespace Server.Custom
{

	public sealed class Merchant
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.ItemID, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.Negotiation, 40),
					new NewSkillNameValue(NewSkillName.Accounting, 35),
					new NewSkillNameValue(NewSkillName.Brewing, 30),
					new NewSkillNameValue(NewSkillName.Herblaw, 25),
					new NewSkillNameValue(NewSkillName.Commerce, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Merchant;
			string[] name = new string[]{ "Peddler","Seller","Cashier","Salesman","Vendor",
					"Trader","Dealer","Trafficker","Shopkeeper","Merchant","Merchant",
					"Merchant","Businessman","Tycoon","Mogul","Magnate" };
			string description = "The Merchant is always looking for ways to make a profit. In addition to owning shops, and providing goods for everyday life, the Merchant seeks out the rare, the beautiful and the exotic.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}
