using System;
using Server;

namespace Server.Custom
{

	public sealed class Monk
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Focus, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.FastMovement, 40),
					new NewSkillNameValue(NewSkillName.Dodge, 35),
					new NewSkillNameValue(NewSkillName.DamageReduction, 30),
					new NewSkillNameValue(NewSkillName.ImprovedDodge, 25),
					new NewSkillNameValue(NewSkillName.StrongWill, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Monk;
			string[] name = new string[]{ "Initiate","Monk","Monk","Monk",
					"Monk","Monk","Monk","Monk","Monk","Monk","Monk",
					"Monk","Monk","Monk","Monk","Monk" };
			string description = "The Monk is a pacifist, but do not be fooled by his calm demeanor; he is both able and willing to defend himself with deadly force, if necessary. His solitude is by choice, and he uses the time to study unique tactics in self-defense.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}