using System;
using Server;

namespace Server.Custom
{

	public sealed class Naturalist
	{
		public static void Initialize()
		{
			SkillNameValue[] snv = new SkillNameValue[]{
					new SkillNameValue(SkillName.Camping, 40)
			};
			NewSkillNameValue[] newSnv = new NewSkillNameValue[]{
					new NewSkillNameValue(NewSkillName.Gardening, 40),
					new NewSkillNameValue(NewSkillName.Forestry, 35),
					new NewSkillNameValue(NewSkillName.Taxidermy, 30),
					new NewSkillNameValue(NewSkillName.Boating, 25),
					new NewSkillNameValue(NewSkillName.Sailing, 20)
			};

			int[] points = new int[]{ 0, 3000, 7000, 12000, 18000, 25000, 33000,
					42000, 52000, 63000, 75000, 88000, 102000, 117000, 133000, 150000 };
			Class clas = Class.Naturalist;
			string[] name = new string[]{ "Naturalist","Tree-Hugger","Naturalist","Naturalist",
					"Naturalist","Naturalist","Naturalist","Naturalist","Naturalist","Naturalist","Naturalist",
					"Naturalist","Naturalist","Naturalist","Naturalist","Naturalist" };
			string description = "The Naturalist is concerned with everything relating to the outdoors. They are not people-lovers, nor aminal-lovers for that matter. They just enjoy spending time in the woods, in the water, or any place they can study nature.";
			SkillEntry classSkills = new SkillEntry( clas, 1, snv, 5, newSnv );
			ClassEntry.Register( new ClassEntry( clas, name, description, classSkills, points ) );
		}
	}
}